An internal error happened in the script, please contact webmaster for details

Discussion in 'Troubleshooting' started by regis, Jan 12, 2015.

  1. regis

    regis aMember Pro Customer

    Joined:
    Aug 29, 2006
    Messages:
    40
    Let me preface this by saying that I'm embarrassed that this has happened - after running an Amember site for nearly 15 years!

    Regardless, here is the chain of events.

    I was in the process of upgrading from amember 4.4.4 to 4.5.0 - I downloaded the upgrade and made the mistake of using a "Sync Local to Remote" instead of a straight "upload" which would just overwrite the files on the webserver. So it started to delete the files that I didn't have on my computer off the webserver in the in the "library" directory.

    I did find the missing files on a flash drive and have re-uploaded them as well as the original 4.4.4 backed up files from my application and library directories just to try and get the site back up and to it's original state before I tried the upgrade.

    Well - I must be missing some files still because I now have the error:

    Script Error
    An internal error happened in the script, please contact webmaster for details

    I can't get into the admin interface.. and none of my members can login currently.

    I don't understand why I'd get this message as there was no database update ran, so I must just have some wrong files that I've uploaded OR am still missing some files?

    Does any one know who I could troubleshoot this? I've tried to look in my error logs but I haven't seen anything there.

    Another option would be to just re-install the latest version, but my database is still on 4.4.4 and I don't know if it would be possible to upload all new files for 4.5.1 and run admin-upgrade-db - the last thing I want to do is corrupt my database!

    Thanks for any help!

    Sean
  2. edward_shephard

    edward_shephard aMember Pro Customer

    Joined:
    Aug 22, 2014
    Messages:
    41
    I don't have an answer I'm afraid but if it were me I'd be inclined to back up the current file set as is, backup the 4.4.4 database and then try an upgrade to 4.5.1. At least then you can't go backwards from where you are.

    Other than that if you have active support and submit a ticket then Im sure the guys could give you a 4.4.4 file set.
    regis likes this.
  3. thehpmc

    thehpmc Member

    Joined:
    Aug 24, 2006
    Messages:
    901
    1. BACKUP database now (so you have working copy if things go wrong) At least if you have to go back to aMember support they should then be able to get you back working again.

    Upload latest version of aMember and AFTER backing up database run configuration making sure to set base currency and link it to existing database.

    I think you will find it will update existing database to latest version during the configuration process.

    In hindsight before any upgrade always backup database AND backup aMember directory. You can always then go back to where you started if things go wrong. Yes I know easy to say now. I learned the hard way several years ago.
    regis likes this.
  4. regis

    regis aMember Pro Customer

    Joined:
    Aug 29, 2006
    Messages:
    40
    Thanks Edward,

    I think the safest bet is to get a full 4.4.4 file set to upload then see if that fixes it. Funny, I thought I had all the files to replace what had been deleted but I guess not...

    I would try to do a 4.5.1 upgrade but there's no guarantee that I will be able to get to the admin interface and run the db upgrade...

    I did submit a ticket so I hope the support guys are around in the next 5 to 6 hours before our members start coming to login.
  5. regis

    regis aMember Pro Customer

    Joined:
    Aug 29, 2006
    Messages:
    40
    So your talking about uploading the full / latest version? Is it possible to jump from 4.4.4 to 4.5.1? And will the full version upgrade an existing database?
  6. thehpmc

    thehpmc Member

    Joined:
    Aug 24, 2006
    Messages:
    901
    When you install from new the database is constructed with all new tables but if tables already exist in database then it will only add new ones.

    That is how it worked when I was originally 'playing' with V4 many moons ago when it first came out.

    Important bit is to set base currency as it stored at some point outside the actual database I believe. Certainly at one point it was necessary to change, temporarily, a core file to change it. Not sure about the current versions. Maybe Caesar can confirm this at some time.
    regis likes this.
  7. regis

    regis aMember Pro Customer

    Joined:
    Aug 29, 2006
    Messages:
    40
    The site is back up already, they just uploaded the missing files :)

    For reference, they recommended that I - "re-upload all files manually (do not use upgrade package) when you upgrade aMember to the latest 4.5.1 version."
  8. zindagi

    zindagi New Member

    Joined:
    Feb 19, 2015
    Messages:
    1
    Upload latest version of aMember and AFTER backing up database run configuration making sure to set base currency and link it to existing database.



    _________________
    Arslan ( Dill E Nadan)
  9. info_idonline_co_za

    info_idonline_co_za New Member

    Joined:
    Aug 16, 2012
    Messages:
    6
    Concerning this error, I deactivated the activecampaign plugin and solved my customer signup issue, giving this error. My issue was not an upgrade but an incompatible plugin issue.

    here is the log for the plugin, could help others:

    Exception HTTP_Request2_LogicException
    HTTP_Request2->send [ application/newsletter/plugins/activecampaign.php : 189 ]
    Am_Activecampaign_Api->sendRequest [ application/newsletter/plugins/activecampaign.php : 117 ]
    Am_Newsletter_Plugin_Activecampaign->getLists [ application/newsletter/library/Am/Newsletter/Plugin.php : 61 ]
    Am_Newsletter_Plugin->_afterInitSetupForm [ library/Am/App.php : 410 ]
    Am_Pluggable_Base->onSetupForms
    call_user_func [ library/Am/Event.php : 775 ]
    Am_Event->call [ library/Am/Event.php : 798 ]
    Am_Event->handle [ library/Am/Hook.php : 202 ]
    Am_Hook->call [ application/default/controllers/AdminSetupController.php : 158 ]
    AdminSetupController->initSetupForms [ application/default/controllers/AdminSetupController.php : 67 ]
    AdminSetupController->displayAction [ library/Am/Controller.php : 139 ]
    Am_Controller->_runAction [ library/Am/Controller.php : 116 ]
    Am_Controller->dispatch [ library/Zend/Controller/Dispatcher/Standard.php : 308 ]
    Zend_Controller_Dispatcher_Standard->dispatch [ library/Zend/Controller/Front.php : 954 ]
    Zend_Controller_Front->dispatch [ library/Am/App.php : 1961 ]
    Am_App->run [ index.php : 92 ]

Share This Page